SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Typedefs | Functions
ReliabilityLayer.h File Reference

[Internal] Datagram reliable, ordered, unordered and sequenced sends. Flow control. Message splitting, reassembly, and coalescence. More...

`#include "memoryoverride.h"`
`#include "MTUSize.h"`
`#include "DS_LinkedList.h"`
`#include "DS_List.h"`
`#include "SocketLayer.h"`
`#include "PacketPriority.h"`
`#include "DS_Queue.h"`
`#include "BitStream.h"`
`#include "InternalPacket.h"`
`#include "statistics.h"`
`#include "DR_SHA1.h"`
`#include "DS_OrderedList.h"`
`#include "DS_RangeList.h"`
`#include "DS_BPlusTree.h"`
`#include "DS_MemoryPool.h"`
`#include "defines.h"`
`#include "DS_Heap.h"`
`#include "NativeFeatureIncludes.h"`
`#include "SecureHandshake.h"`
`#include "PluginInterface2.h"`
`#include "Rand.h"`
`#include "socket2.h"`
`#include "CCRakNetSlidingWindow.h"`

Go to the source code of this file.

## Classes

struct | SLNet::SplitPacketChannel
struct | SLNet::BPSTracker
struct | SLNet::BPSTracker::TimeAndValue2
class | SLNet::ReliabilityLayer
| Datagram reliable, ordered, unordered and sequenced sends. Flow control. Message splitting, reassembly, and coalescence. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | INCLUDE_TIMESTAMP_WITH_DATAGRAMS 0
#define | NUMBER_OF_ORDERED_STREAMS 32
| Number of ordered streams available. You can use up to 32 ordered streams.
#define | RESEND_TREE_ORDER 32

## Typedefs

typedef uint64_t | SLNet::reliabilityHeapWeightType

## Functions

int RAK_DLL_EXPORT | SLNet::SplitPacketChannelComp (SplitPacketIdType const &key, SplitPacketChannel *const &data)

## Detailed Description

[Internal] Datagram reliable, ordered, unordered and sequenced sends. Flow control. Message splitting, reassembly, and coalescence.

Definition in file ReliabilityLayer.h.

## Class Documentation

struct SLNet::SplitPacketChannel

Definition at line 69 of file ReliabilityLayer.h.

Class Members
InternalPacket * | firstPacket |
CCTimeType | lastUpdateTime |
List< InternalPacket * > | splitPacketList |

## Macro Definition Documentation

#define INCLUDE_TIMESTAMP_WITH_DATAGRAMS 0

Definition at line 53 of file ReliabilityLayer.h.

#define NUMBER_OF_ORDERED_STREAMS 32

Number of ordered streams available. You can use up to 32 ordered streams.

Definition at line 57 of file ReliabilityLayer.h.

Referenced by SLNet::RakPeer::Send(), SLNet::RakPeer::SendBuffered(), and SLNet::RakPeer::SendBufferedList().

#define RESEND_TREE_ORDER 32

Definition at line 59 of file ReliabilityLayer.h.